#ifndef MUSICREXX_LOADED
#define MUSICREXX_LOADED
/*
** Musicrexx.h
*/
#include <devices/timer.h>
#include "algorhythms.h"

#define C_REXX_PLAY     0x10
#define C_REXX_STOP     0x20
#define C_REXX_CONTINUE 0x30
#define C_REXX_CHANG_FORM 0x40
#define C_REXX_CHANG_VOICE 0x50
#define C_REXX_CHANG_BOTH 0x60

extern void init_rexx(void);
extern void shut_rexx(void);
extern int process_rexx(FORM_TYPE *form,
                        struct timeval *duration, int *tempo, 
                        NOTE_EVENT_TYPE *events, NOTE_LEN_TYPE *note_len,
                        int *max_voices, int *scale, int *range,
                        int *half_range, int *delay_ticks);

extern ULONG g_rexx_fubar;
extern ULONG rexx_mask;

#endif
